Bug 55507 - libfam and Konqueror repeatedly coring out
Summary: libfam and Konqueror repeatedly coring out
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdelibs (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-01 15:04 UTC by R P Herrold
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-26 16:13:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
core traceback -- looks like libfam error (4.15 KB, text/plain)
2001-11-01 15:05 UTC, R P Herrold
no flags Details

Description R P Herrold 2001-11-01 15:04:25 UTC
Description of Problem:

fam seems to be causing repeated coring with only:

konsole
konqueror
and xmms running; plenty of df and swap, low load

Version-Release number of selected component (if applicable):

vanilla RH 7.2 new install with all updates

How Reproducible:

see core

Comment 1 R P Herrold 2001-11-01 15:05:56 UTC
Created attachment 36001 [details]
core traceback -- looks like libfam error

Comment 2 Alexander Larsson 2001-11-01 15:49:43 UTC
Huh? In what way does this seem like a libfam bug?

libfam does have weak symbols for __builtin_delete and __builtin_vec_delete, so
it's perfectly ok for them to show up in the backtrace. But it is not the fault
of libfam any more than libc (__libc_free is also in the backtrace).

This looks like a double free in KHTTML. Reassigning to kde-libs.
Try running with export _MALLOC_CHECK=2 to find the bug easier.


Comment 3 R P Herrold 2002-07-13 04:08:45 UTC
bug is no longer occurring and so I am closing


Note You need to log in before you can comment on or make changes to this bug.